Machines
Get Metadata Value
Get the value of a specific metadata key
Get the value of a specific metadata key
Authorization
bearerAuth AuthorizationBearer <token>
A Fly.io access token. Create one with fly tokens create.
In: header
Path Parameters
app_name*string
Fly App Name
machine_id*string
Machine ID
key*string
Metadata Key
Response Body
application/json
application/json
curl -X GET "https://example.com/apps/string/machines/string/metadata/string"{ "value": "string"}{ "details": {}, "error": "string", "status": "unknown"}Update Metadata (set/remove multiple keys) PUT
Update multiple metadata keys at once. Null values and empty strings remove keys. + If `machine_version` is provided and no longer matches the current machine version, returns 412 Precondition Failed.
Upsert Metadata Key POST
Update metadata for a specific machine within an app by providing a metadata key.